@import "~/common/styles/variables";

.AvailableChatsList {
  padding: 10px;
  height: 100%;
  box-sizing: border-box;
}

img.userAvatar {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  object-fit: cover;
}

.availableChatsListTitle {
  text-transform: capitalize;
  border-bottom: 1px solid #D9D9D9 !important;

  .MuiSvgIcon-root {
    border: 1px solid;
    border-radius: 50%;
    width: 16px;
    height: 16px;
  }
}

.availableChatsListItem {
  border: 1px solid transparent !important;
  border-radius: 32px !important;
  width: calc(100% - 10px) !important;
  cursor: default;
  user-select: none;
  position: relative;
  overflow: hidden;
  flex-wrap: wrap;
  position: relative;
  margin-bottom: 5px;

  &:first-child {
    margin-top: 8px;
  }

  &:not(.empty) {
    &:hover {
      background: #dfdfdf66;

      .username {
        max-width: 120px;
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
      }

      .actions-wrapper {
        display: flex;
      }
    }
  }

  .MuiCollapse-container {
    width: calc(100% + 30px);
    margin: 0 -15px;
  }

  .options-wrapper {
    position: relative;
    margin-top: 10px;

    .options-list {
      display: grid;
      align-items: center;
      font-size: 14px;

      .options-list__item {
        display: flex;
        align-items: center;
        padding: 0 25px;
        max-height: 39px;
        transition: color 150ms ease;

        &:hover, &:active, &:focus {
          cursor: pointer;
          color: $white;
          background: #000;

          path {
            fill: #fff;
          }
        }

        &:not(:last-child) {
          border-bottom: 1px solid #d2d2d2;
        }

        svg {
          margin-right: 21px;
        }
      }
    }
  }

  .availableChatsListItem--userDetails {
    flex-grow: 2;
    display: flex;
    align-items: flex-start;
    height: 100%;

    .username  {
      cursor: pointer;

      &:hover {
        color: $gold;
      }
    }
  }

  .actions-wrapper {
    display: none;

    button {
      width: 40px;
      height: 40px;
      background: #000;
      box-shadow: none;

      &:hover, &:active, &:focus {
        background: #fff;
        border: 1px solid #000;

        path {
          fill: #000;
        }
      }

      &:not(:first-child) {
        margin-left: 5px;
      }
    }

    .btn--close {
      background: transparent;
      border: 1px solid #000;
      width: 15px;
      height: 15px;
      min-height: unset;
      display: block;

      svg {
        position: relative;
        left: -5px;
        top: -5px;
        transform: scale(0.5);
      }
    }
  }
}

.availableChatsListItem.open {
  background: #dfdfdf66;
  padding-bottom: 0 !important;

  .actions-wrapper {
    display: flex;
  }
}

.availableChatsListItem.active {
  background: #dfdfdfd6 !important;
}

.availableChatsListItem.group-chat {
  cursor: pointer;
}

.availableChatsListItem.availableChatsListItem--action {
  &:hover {
    text-decoration: underline;
    border: 1px solid transparent !important;
  }
}

.availableChatsListItem--userDetails {
  display: flex;
  flex-direction: column;
  font-size: 14px;

  .username {
    font-weight: bold;
  }

  .empty {
    padding: 12px;
    color: $gray-lighten-2;
  }

  .matched {
    color: $gold;
  }
}

.availableChatsListItem--userAvatar {
  padding-right: 10px;
  position: relative;
  cursor: pointer;

  > .unreadMessagesBadge {
    background: #E90808;
    border-radius: 50%;
    font-size: 10px;
    color: $white;
    width: 20px;
    height: 20px;
    display: inline-block;
    text-align: center;
    line-height: 20px;
    position: absolute;
    top: -3px;
    right: 8px;
  }

  .userAvatar {
    background: #000;
    text-transform: uppercase;
  }

  .empty {
    background: #000;
  }
}

.availableChatsGroupListWrapper {
  position: relative;
}

.availableChatsGroupList {
  position: absolute !important;
  z-index: 1;
  width: 100%;
  height: 100%;
}
